Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.spi
Interface DocumentSchemaDef

All Known Implementing Classes:
  DefaultDocumentSchema

public interface DocumentSchemaDef

An object representing a schema for a set of the documents.

Field Summary
`static int` | `BOOLEAN` Deprecated. Specifies a boolean attribute (0).
`static int` | `DATETIME` Deprecated. Specifies a date/time attribute (4).
`static int` | `FLOAT` Deprecated. Specifies a float attribute (2).
`static int` | `INTEGER` Deprecated. Specifies an integer attribute (1).
`static int` | `TEXT` Deprecated. Specifies a text attribute (3).
`static int` | `USER_DEFINED` Deprecated. Specifes a user definined (object) attribute (5).

Method Summary
`Object` | `getAttributeDefaultValue(String attributeName)` Deprecated. Get the default value for the named attribute.
`String` | `getAttributeDescription(String attributeName)` Deprecated. Get a text description of the attribute.
`Collection` | `getAttributeNames()` Deprecated. Returns the list of valid attribute names in this schema.
`List` | `getAttributePossibleValues(String attributeName)` Deprecated. Return the list of possible values for a multi-vauled attribute.
`int` | `getAttributeType(String attributeName)` Deprecated. Returns the type of the named attribute.
`String` | `getDescription()` Deprecated. Returns the schema description.
`String` | `getName()` Deprecated. Returns the schema name.
`boolean` | `isAttributeMultiValued(String attributeName)` Deprecated. Tell if the named attribute is a multi-valued attribute (i.e. its value in the DocumentMetadata is really a List).
`boolean` | `validateAttribute(String attributeName, Object attributeValue)` Deprecated. Validate that a given attribute value is valid based upon the schema information.

Field Detail

### BOOLEAN

    public static final int BOOLEAN

  Deprecated.
  Specifies a boolean attribute (0).

  See Also:
    Constant Field Values

### INTEGER

    public static final int INTEGER

  Deprecated.
  Specifies an integer attribute (1).

  See Also:
    Constant Field Values

### FLOAT

    public static final int FLOAT

  Deprecated.
  Specifies a float attribute (2).

  See Also:
    Constant Field Values

### TEXT

    public static final int TEXT

  Deprecated.
  Specifies a text attribute (3).

  See Also:
    Constant Field Values

### DATETIME

    public static final int DATETIME

  Deprecated.
  Specifies a date/time attribute (4).

  See Also:
    Constant Field Values

### USER_DEFINED

    public static final int USER_DEFINED

  Deprecated.
  Specifes a user definined (object) attribute (5).

  See Also:
    Constant Field Values

Method Detail

### getName

    public String getName()
                   throws DocumentException

  Deprecated.
  Returns the schema name.

  Returns:
    the String schema name.
  Throws:
    `DocumentException` - thrown on an error.

### getDescription

    public String getDescription()
                          throws DocumentException

  Deprecated.
  Returns the schema description.

  Returns:
    the description of the schema (null for none).
  Throws:
    `DocumentException` - thrown on an error.

### getAttributeNames

    public Collection getAttributeNames()
                                 throws DocumentException

  Deprecated.
  Returns the list of valid attribute names in this schema.

  Returns:
    the list of String attribute names.
  Throws:
    `DocumentException` - thrown on an error.

### getAttributeType

    public int getAttributeType(String attributeName)
                         throws DocumentException

  Deprecated.
  Returns the type of the named attribute.

  Parameters:
    `attributeName` - the name of the attribute.
  Returns:
    the int type (one of TEXT, INTEGER, FLOAT, BOOLEAN, DATE, or USER_DEFINED).
  Throws:
    `DocumentException` - thrown on an error.
  See Also:
    `TEXT`, `INTEGER`, `FLOAT`, `BOOLEAN`, `DATETIME`, `USER_DEFINED`

### getAttributeDefaultValue

    public Object getAttributeDefaultValue(String attributeName)
                                    throws DocumentException

  Deprecated.
  Get the default value for the named attribute.

  Parameters:
    `attributeName` - the name of the attribute.
  Returns:
    the default value, or null for none.
  Throws:
    `DocumentException` - thrown on an error.

### getAttributeDescription

    public String getAttributeDescription(String attributeName)
                                   throws DocumentException

  Deprecated.
  Get a text description of the attribute.

  Parameters:
    `attributeName` - the name of the attribute.
  Returns:
    the description, or null for none.
  Throws:
    `DocumentException` - thrown on an error.

### isAttributeMultiValued

    public boolean isAttributeMultiValued(String attributeName)
                                   throws DocumentException

  Deprecated.
  Tell if the named attribute is a multi-valued attribute (i.e. its value in the DocumentMetadata is really a List).

  Parameters:
    `attributeName` - the name of the attribute.
  Returns:
    true if multi-valued, false if not
  Throws:
    `DocumentException` - thrown on an error.

### getAttributePossibleValues

    public List getAttributePossibleValues(String attributeName)
                                    throws DocumentException

  Deprecated.
  Return the list of possible values for a multi-vauled attribute.

  This returns null for non multi-valued attributes and multi-valued attributes which are not restricted to a set of possible values.

  Parameters:
    `attributeName` - the name of the attribute.
  Returns:
    the list of possible values.
  Throws:
    `DocumentException` - thrown on an error.

### validateAttribute

    public boolean validateAttribute(String attributeName,
                                     Object attributeValue)
                              throws DocumentException

  Deprecated.
  Validate that a given attribute value is valid based upon the schema information.

  Parameters:
    `attributeName` - the name of the attribute.
    `attributeValue` - the suggested value for the attribute.
  Returns:
    true if the value valid, false if not.
  Throws:
    `DocumentException` - thrown on an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved